(defun gobble (input)
  (let (ans)
    (dolist (section input ans)
      (let ((title (car (last (car section))))
	    (packages (second section))
	    subans)
	(push (cons title
		    (dolist (package packages subans)
		      (unless (string-equal "KEYWORD" (second package))
			(push (cons (first package)
				    (symbol-info `,(first package)))
			      subans))))
	      ans)))))

(defun symbol-info (symbol)
  (let (ans)
    (do ((pl-rem (symbol-plist symbol) (cddr pl-rem)))
	((null pl-rem))
      (push (first pl-rem) ans))
    (when (boundp symbol)
      (push :boundp ans))
    (when (fboundp symbol)
      (push :fboundp ans))
    ans))

	 

(setq input
      '((("IF") ((:IF "KEYWORD") (LISP-INTERNALS::IF "LISP-INTERNALS")
                          (IF "K-DIAG"
                              "NETWORK-USER"
                              "SDU"
                              "S-TERMINAL"
                              "KERMIT"
                              "TOPS20"
                              "ANSI"
                              "TM"
                              "TFRAME"
                              "SPELL"
                              "LAMBDA"
                              "QUOTE"
                              "CADR"
                              "UNIX"
                              "SRCCOM"
                              "HACKS"
                              "MATH"
                              "MICRO-ASSEMBLER"
                              "ZWEI"
                              "FORMAT"
                              "PRESS"
                              "SUPDUP"
                              "TIME"
                              "FED"
                              "EH"
                              "TV"
                              "METER"
                              "QFASL-REL"
                              "TAPE"
                              "FILE-SYSTEM"
                              "COLOR"
                              "CHAOS"
                              "GARBAGE-COLLECTOR"
                              "ZLI"
                              "USER"
                              "COMPILER"
                              "SYSTEM-INTERNALS"
                              "SYSTEM"
                              "GLOBAL")
                          (LISP:IF "TAG"
                                   "K-USER"
                                   "K-FASDUMP"
                                   "K-SYMBOL"
                                   "K-K2"
                                   "K-KBUG-STREAMS"
                                   "K-COLD"
                                   "K-NUBUS-STUFF"
                                   "K-K-DEBUG"
                                   "K-SETF"
                                   "K-LISP-INTERNALS"
                                   "K-KBUG"
                                   "K-TRAP"
                                   "K-ARRAY"
                                   "K-NEW-MATH"
                                   "K-CONS"
                                   "K-TRANSPORTER-RAM"
                                   "K-BOOT"
                                   "K-MEMORY-MANAGEMENT-INTERFACE"
                                   "K-AREA-DATA"
                                   "K-REGION-DATA"
                                   "K-GC-FAULT"
                                   "K-MAP-FAULT"
                                   "K-REGION-BITS"
                                   "K-MEMORY-MANAGEMENT"
                                   "K-QUANTUM-MAP"
                                   "K-PHYSICAL-CLUSTER-DATA"
                                   "K-VIRTUAL-MEMORY"
                                   "K-PAGING-DEVICES"
                                   "K-DATATYPE-RAM"
                                   "K-GC-RAM"
                                   "K-MAP"
                                   "K-TIMERS"
                                   "K-VINCULUM"
                                   "K-GLOBAL-REGISTERS"
                                   "K-PRIMITIVES"
                                   "K-GLOBAL"
                                   "FASDUMP"
                                   "COLD"
                                   "SETF"
                                   "KBUG"
                                   "PRIMITIVES"
                                   "NC"
                                   "DUMPIT"
                                   "TELNET"
                                   "FTP"
                                   "TCP-APPLICATION"
                                   "TCP"
                                   "UDP"
                                   "ICMP"
                                   "INTERNET"
                                   "ARP"
                                   "NETWORK"
                                   "ETHERNET"
                                   "CLI"
                                   "LISP")))
 (("REM")
  ((NEW-MATH::REM "LISP-INTERNALS" "NEW-MATH")
   (K-NEW-MATH::REM "K-LISP-INTERNALS" "K-NEW-MATH")
   (REM "K-DIAG"
        "NETWORK-USER"
        "SDU"
        "S-TERMINAL"
        "KERMIT"
        "TOPS20"
        "ANSI"
        "TM"
        "TFRAME"
        "SPELL"
        "LAMBDA"
        "QUOTE"
        "CADR"
        "UNIX"
        "SRCCOM"
        "HACKS"
        "MATH"
        "MICRO-ASSEMBLER"
        "ZWEI"
        "FORMAT"
        "PRESS"
        "SUPDUP"
        "TIME"
        "FED"
        "EH"
        "TV"
        "METER"
        "QFASL-REL"
        "TAPE"
        "FILE-SYSTEM"
        "COLOR"
        "CHAOS"
        "GARBAGE-COLLECTOR"
        "ZLI"
        "USER"
        "COMPILER"
        "SYSTEM-INTERNALS"
        "SYSTEM"
        "GLOBAL")
   (LISP:REM "TAG"
             "K-USER"
             "K-FASDUMP"
             "K-COLD"
             "K-SETF"
             "K-KBUG"
             "K-GLOBAL"
             "FASDUMP"
             "COLD"
             "SETF"
             "KBUG"
             "PRIMITIVES"
             "NC"
             "DUMPIT"
             "TELNET"
             "FTP"
             "TCP-APPLICATION"
             "TCP"
             "UDP"
             "ICMP"
             "INTERNET"
             "ARP"
             "NETWORK"
             "ETHERNET"
             "CLI"
             "LISP")))
 (("MAP") ((:MAP "KEYWORD") (K-MAP::MAP "K-MAP")
                            (MAP "K-DIAG"
                                 "NETWORK-USER"
                                 "SDU"
                                 "S-TERMINAL"
                                 "KERMIT"
                                 "TOPS20"
                                 "ANSI"
                                 "TM"
                                 "TFRAME"
                                 "SPELL"
                                 "LAMBDA"
                                 "QUOTE"
                                 "CADR"
                                 "UNIX"
                                 "SRCCOM"
                                 "HACKS"
                                 "MATH"
                                 "MICRO-ASSEMBLER"
                                 "ZWEI"
                                 "FORMAT"
                                 "PRESS"
                                 "SUPDUP"
                                 "TIME"
                                 "FED"
                                 "EH"
                                 "TV"
                                 "METER"
                                 "QFASL-REL"
                                 "TAPE"
                                 "FILE-SYSTEM"
                                 "COLOR"
                                 "CHAOS"
                                 "GARBAGE-COLLECTOR"
                                 "ZLI"
                                 "USER"
                                 "COMPILER"
                                 "SYSTEM-INTERNALS"
                                 "SYSTEM"
                                 "GLOBAL")
                            (LISP:MAP "TAG"
                                      "K-USER"
                                      "K-FASDUMP"
                                      "K-COLD"
                                      "K-SETF"
                                      "K-KBUG"
                                      "K-GLOBAL"
                                      "FASDUMP"
                                      "COLD"
                                      "SETF"
                                      "KBUG"
                                      "PRIMITIVES"
                                      "NC"
                                      "DUMPIT"
                                      "TELNET"
                                      "FTP"
                                      "TCP-APPLICATION"
                                      "TCP"
                                      "UDP"
                                      "ICMP"
                                      "INTERNET"
                                      "ARP"
                                      "NETWORK"
                                      "ETHERNET"
                                      "CLI"
                                      "LISP")))
 (("LISTP")
  ((VINCULUM::LISTP "LISP-INTERNALS" "VINCULUM")
   (K-VINCULUM::LISTP "K-LISP-INTERNALS" "K-VINCULUM")
   (LISTP "K-DIAG"
          "NETWORK-USER"
          "SDU"
          "S-TERMINAL"
          "KERMIT"
          "TOPS20"
          "ANSI"
          "TM"
          "TFRAME"
          "SPELL"
          "LAMBDA"
          "QUOTE"
          "CADR"
          "UNIX"
          "SRCCOM"
          "HACKS"
          "MATH"
          "MICRO-ASSEMBLER"
          "ZWEI"
          "FORMAT"
          "PRESS"
          "SUPDUP"
          "TIME"
          "FED"
          "EH"
          "TV"
          "METER"
          "QFASL-REL"
          "TAPE"
          "FILE-SYSTEM"
          "COLOR"
          "CHAOS"
          "GARBAGE-COLLECTOR"
          "ZLI"
          "USER"
          "COMPILER"
          "SYSTEM-INTERNALS"
          "SYSTEM"
          "GLOBAL")
   (LISP:LISTP "TAG"
               "K-USER"
               "K-FASDUMP"
               "K-COLD"
               "K-SETF"
               "K-KBUG"
               "K-GLOBAL"
               "FASDUMP"
               "COLD"
               "SETF"
               "KBUG"
               "PRIMITIVES"
               "NC"
               "DUMPIT"
               "TELNET"
               "FTP"
               "TCP-APPLICATION"
               "TCP"
               "UDP"
               "ICMP"
               "INTERNET"
               "ARP"
               "NETWORK"
               "ETHERNET"
               "CLI"
               "LISP")))
 (("GETHASH" "SUBST" "RASSOC" "EVERY")
  ((LISP-INTERNALS::EVERY "LISP-INTERNALS") (EVERY "K-DIAG"
                                                   "NETWORK-USER"
                                                   "SDU"
                                                   "S-TERMINAL"
                                                   "KERMIT"
                                                   "TOPS20"
                                                   "ANSI"
                                                   "TM"
                                                   "TFRAME"
                                                   "SPELL"
                                                   "LAMBDA"
                                                   "QUOTE"
                                                   "CADR"
                                                   "UNIX"
                                                   "SRCCOM"
                                                   "HACKS"
                                                   "MATH"
                                                   "MICRO-ASSEMBLER"
                                                   "ZWEI"
                                                   "FORMAT"
                                                   "PRESS"
                                                   "SUPDUP"
                                                   "TIME"
                                                   "FED"
                                                   "EH"
                                                   "TV"
                                                   "METER"
                                                   "QFASL-REL"
                                                   "TAPE"
                                                   "FILE-SYSTEM"
                                                   "COLOR"
                                                   "CHAOS"
                                                   "GARBAGE-COLLECTOR"
                                                   "ZLI"
                                                   "USER"
                                                   "COMPILER"
                                                   "SYSTEM-INTERNALS"
                                                   "SYSTEM"
                                                   "GLOBAL")
                                            (LISP:EVERY "TAG"
                                                        "K-USER"
                                                        "K-FASDUMP"
                                                        "K-COLD"
                                                        "K-SETF"
                                                        "K-KBUG"
                                                        "K-GLOBAL"
                                                        "FASDUMP"
                                                        "COLD"
                                                        "SETF"
                                                        "KBUG"
                                                        "PRIMITIVES"
                                                        "NC"
                                                        "DUMPIT"
                                                        "TELNET"
                                                        "FTP"
                                                        "TCP-APPLICATION"
                                                        "TCP"
                                                        "UDP"
                                                        "ICMP"
                                                        "INTERNET"
                                                        "ARP"
                                                        "NETWORK"
                                                        "ETHERNET"
                                                        "CLI"
                                                        "LISP")))
 (("TIME" "REMOVE" "READ" "DELETE")
  ((:DELETE "KEYWORD") (DELETE "K-DIAG"
                               "NETWORK-USER"
                               "SDU"
                               "S-TERMINAL"
                               "KERMIT"
                               "TOPS20"
                               "ANSI"
                               "TM"
                               "TFRAME"
                               "SPELL"
                               "LAMBDA"
                               "QUOTE"
                               "CADR"
                               "UNIX"
                               "SRCCOM"
                               "HACKS"
                               "MATH"
                               "MICRO-ASSEMBLER"
                               "ZWEI"
                               "FORMAT"
                               "PRESS"
                               "SUPDUP"
                               "TIME"
                               "FED"
                               "EH"
                               "TV"
                               "METER"
                               "QFASL-REL"
                               "TAPE"
                               "FILE-SYSTEM"
                               "COLOR"
                               "CHAOS"
                               "GARBAGE-COLLECTOR"
                               "ZLI"
                               "USER"
                               "COMPILER"
                               "SYSTEM-INTERNALS"
                               "SYSTEM"
                               "GLOBAL")
                       (LISP:DELETE "TAG"
                                    "K-USER"
                                    "K-FASDUMP"
                                    "K-COLD"
                                    "K-SETF"
                                    "K-KBUG"
                                    "K-GLOBAL"
                                    "FASDUMP"
                                    "COLD"
                                    "SETF"
                                    "KBUG"
                                    "PRIMITIVES"
                                    "NC"
                                    "DUMPIT"
                                    "TELNET"
                                    "FTP"
                                    "TCP-APPLICATION"
                                    "TCP"
                                    "UDP"
                                    "ICMP"
                                    "INTERNET"
                                    "ARP"
                                    "NETWORK"
                                    "ETHERNET"
                                    "CLI"
                                    "LISP")))
 (("CLOSE") ((:CLOSE "KEYWORD") (CHAOS:CLOSE "CHAOS")
                                (CLOSE "K-DIAG"
                                       "NETWORK-USER"
                                       "SDU"
                                       "S-TERMINAL"
                                       "KERMIT"
                                       "TOPS20"
                                       "ANSI"
                                       "TM"
                                       "TFRAME"
                                       "SPELL"
                                       "LAMBDA"
                                       "QUOTE"
                                       "CADR"
                                       "UNIX"
                                       "SRCCOM"
                                       "HACKS"
                                       "MATH"
                                       "MICRO-ASSEMBLER"
                                       "ZWEI"
                                       "FORMAT"
                                       "PRESS"
                                       "SUPDUP"
                                       "TIME"
                                       "FED"
                                       "EH"
                                       "TV"
                                       "METER"
                                       "QFASL-REL"
                                       "TAPE"
                                       "FILE-SYSTEM"
                                       "COLOR"
                                       "GARBAGE-COLLECTOR"
                                       "ZLI"
                                       "USER"
                                       "COMPILER"
                                       "SYSTEM-INTERNALS"
                                       "SYSTEM"
                                       "GLOBAL")
                                (LISP:CLOSE "TAG"
                                            "K-USER"
                                            "K-FASDUMP"
                                            "K-COLD"
                                            "K-SETF"
                                            "K-KBUG"
                                            "K-GLOBAL"
                                            "FASDUMP"
                                            "COLD"
                                            "SETF"
                                            "KBUG"
                                            "PRIMITIVES"
                                            "NC"
                                            "DUMPIT"
                                            "TELNET"
                                            "FTP"
                                            "TCP-APPLICATION"
                                            "TCP"
                                            "UDP"
                                            "ICMP"
                                            "INTERNET"
                                            "ARP"
                                            "NETWORK"
                                            "ETHERNET"
                                            "CLI"
                                            "LISP")))
 (("CHARACTER")
  ((:CHARACTER "KEYWORD") (LISP-INTERNALS::CHARACTER "LISP-INTERNALS")
                          (K-K2::CHARACTER "K-K2")
                          (CHARACTER "K-DIAG"
                                     "NETWORK-USER"
                                     "SDU"
                                     "S-TERMINAL"
                                     "KERMIT"
                                     "TOPS20"
                                     "ANSI"
                                     "TM"
                                     "TFRAME"
                                     "SPELL"
                                     "LAMBDA"
                                     "QUOTE"
                                     "CADR"
                                     "UNIX"
                                     "SRCCOM"
                                     "HACKS"
                                     "MATH"
                                     "MICRO-ASSEMBLER"
                                     "ZWEI"
                                     "FORMAT"
                                     "PRESS"
                                     "SUPDUP"
                                     "TIME"
                                     "FED"
                                     "EH"
                                     "TV"
                                     "METER"
                                     "QFASL-REL"
                                     "TAPE"
                                     "FILE-SYSTEM"
                                     "COLOR"
                                     "CHAOS"
                                     "GARBAGE-COLLECTOR"
                                     "ZLI"
                                     "USER"
                                     "COMPILER"
                                     "SYSTEM-INTERNALS"
                                     "SYSTEM"
                                     "GLOBAL")
                          (LISP:CHARACTER "TAG"
                                          "K-USER"
                                          "K-FASDUMP"
                                          "K-COLD"
                                          "K-SETF"
                                          "K-KBUG"
                                          "K-GLOBAL"
                                          "FASDUMP"
                                          "COLD"
                                          "SETF"
                                          "KBUG"
                                          "PRIMITIVES"
                                          "NC"
                                          "DUMPIT"
                                          "TELNET"
                                          "FTP"
                                          "TCP-APPLICATION"
                                          "TCP"
                                          "UDP"
                                          "ICMP"
                                          "INTERNET"
                                          "ARP"
                                          "NETWORK"
                                          "ETHERNET"
                                          "CLI"
                                          "LISP")))
 (("MEMBER" "DEFSTRUCT" "ASSOC")
  ((:ASSOC "KEYWORD") (LISP-INTERNALS::ASSOC "LISP-INTERNALS")
                      (ASSOC "K-DIAG"
                             "NETWORK-USER"
                             "SDU"
                             "S-TERMINAL"
                             "KERMIT"
                             "TOPS20"
                             "ANSI"
                             "TM"
                             "TFRAME"
                             "SPELL"
                             "LAMBDA"
                             "QUOTE"
                             "CADR"
                             "UNIX"
                             "SRCCOM"
                             "HACKS"
                             "MATH"
                             "MICRO-ASSEMBLER"
                             "ZWEI"
                             "FORMAT"
                             "PRESS"
                             "SUPDUP"
                             "TIME"
                             "FED"
                             "EH"
                             "TV"
                             "METER"
                             "QFASL-REL"
                             "TAPE"
                             "FILE-SYSTEM"
                             "COLOR"
                             "CHAOS"
                             "GARBAGE-COLLECTOR"
                             "ZLI"
                             "USER"
                             "COMPILER"
                             "SYSTEM-INTERNALS"
                             "SYSTEM"
                             "GLOBAL")
                      (LISP:ASSOC "TAG"
                                  "K-USER"
                                  "K-FASDUMP"
                                  "K-COLD"
                                  "K-SETF"
                                  "K-KBUG"
                                  "K-GLOBAL"
                                  "FASDUMP"
                                  "COLD"
                                  "SETF"
                                  "KBUG"
                                  "PRIMITIVES"
                                  "NC"
                                  "DUMPIT"
                                  "TELNET"
                                  "FTP"
                                  "TCP-APPLICATION"
                                  "TCP"
                                  "UDP"
                                  "ICMP"
                                  "INTERNET"
                                  "ARP"
                                  "NETWORK"
                                  "ETHERNET"
                                  "CLI"
                                  "LISP")))
 (("MAKE-ARRAY" "AREF") ((:AREF "KEYWORD") (ARRAY::AREF "LISP-INTERNALS"
                                                        "ARRAY")
                                           (K-ARRAY::AREF "K-LISP-INTERNALS"
                                                          "K-ARRAY")
                                           (AREF "K-DIAG"
                                                 "NETWORK-USER"
                                                 "SDU"
                                                 "S-TERMINAL"
                                                 "KERMIT"
                                                 "TOPS20"
                                                 "ANSI"
                                                 "TM"
                                                 "TFRAME"
                                                 "SPELL"
                                                 "LAMBDA"
                                                 "QUOTE"
                                                 "CADR"
                                                 "UNIX"
                                                 "SRCCOM"
                                                 "HACKS"
                                                 "MATH"
                                                 "MICRO-ASSEMBLER"
                                                 "ZWEI"
                                                 "FORMAT"
                                                 "PRESS"
                                                 "SUPDUP"
                                                 "TIME"
                                                 "FED"
                                                 "EH"
                                                 "TV"
                                                 "METER"
                                                 "QFASL-REL"
                                                 "TAPE"
                                                 "FILE-SYSTEM"
                                                 "COLOR"
                                                 "CHAOS"
                                                 "GARBAGE-COLLECTOR"
                                                 "ZLI"
                                                 "USER"
                                                 "COMPILER"
                                                 "SYSTEM-INTERNALS"
                                                 "SYSTEM"
                                                 "GLOBAL")
                                           (LISP:AREF "TAG"
                                                      "K-USER"
                                                      "K-FASDUMP"
                                                      "K-COLD"
                                                      "K-SETF"
                                                      "K-KBUG"
                                                      "K-GLOBAL"
                                                      "FASDUMP"
                                                      "COLD"
                                                      "SETF"
                                                      "KBUG"
                                                      "PRIMITIVES"
                                                      "NC"
                                                      "DUMPIT"
                                                      "TELNET"
                                                      "FTP"
                                                      "TCP-APPLICATION"
                                                      "TCP"
                                                      "UDP"
                                                      "ICMP"
                                                      "INTERNET"
                                                      "ARP"
                                                      "NETWORK"
                                                      "ETHERNET"
                                                      "CLI"
                                                      "LISP")))
 (("*DEFAULT-PATHNAME-DEFAULTS*")
  ((*DEFAULT-PATHNAME-DEFAULTS* "K-DIAG"
                                "NETWORK-USER"
                                "SDU"
                                "S-TERMINAL"
                                "KERMIT"
                                "TOPS20"
                                "ANSI"
                                "TM"
                                "TFRAME"
                                "SPELL"
                                "LAMBDA"
                                "QUOTE"
                                "CADR"
                                "UNIX"
                                "SRCCOM"
                                "HACKS"
                                "MATH"
                                "MICRO-ASSEMBLER"
                                "ZWEI"
                                "FORMAT"
                                "PRESS"
                                "SUPDUP"
                                "TIME"
                                "FED"
                                "EH"
                                "TV"
                                "METER"
                                "QFASL-REL"
                                "TAPE"
                                "FILE-SYSTEM"
                                "COLOR"
                                "CHAOS"
                                "GARBAGE-COLLECTOR"
                                "ZLI"
                                "USER"
                                "COMPILER"
                                "SYSTEM-INTERNALS"
                                "SYSTEM"
                                "GLOBAL")
   (LISP:*DEFAULT-PATHNAME-DEFAULTS* "TAG"
                                     "K-FASDUMP"
                                     "K-COLD"
                                     "K-SETF"
                                     "K-KBUG"
                                     "FASDUMP"
                                     "COLD"
                                     "SETF"
                                     "KBUG"
                                     "NC"
                                     "DUMPIT"
                                     "TELNET"
                                     "FTP"
                                     "TCP-APPLICATION"
                                     "TCP"
                                     "UDP"
                                     "ICMP"
                                     "INTERNET"
                                     "ARP"
                                     "NETWORK"
                                     "ETHERNET"
                                     "CLI"
                                     "LISP")))
 (("MAKE-PACKAGE" "UNION"
                  "SOME"
                  "READ-FROM-STRING"
                  "NUNION"
                  "NLISTP"
                  "NINTERSECTION"
                  "INTERSECTION"
                  "FUNCTIONP"
                  "ATAN"
                  "AR-1-FORCE"
                  "AR-1"
                  "//")
  ((// "K-DIAG"
       "NETWORK-USER"
       "SDU"
       "S-TERMINAL"
       "KERMIT"
       "TOPS20"
       "ANSI"
       "TM"
       "TFRAME"
       "SPELL"
       "LAMBDA"
       "QUOTE"
       "CADR"
       "UNIX"
       "SRCCOM"
       "HACKS"
       "MATH"
       "MICRO-ASSEMBLER"
       "ZWEI"
       "FORMAT"
       "PRESS"
       "SUPDUP"
       "TIME"
       "FED"
       "EH"
       "TV"
       "METER"
       "QFASL-REL"
       "TAPE"
       "FILE-SYSTEM"
       "COLOR"
       "CHAOS"
       "GARBAGE-COLLECTOR"
       "ZLI"
       "USER"
       "COMPILER"
       "SYSTEM-INTERNALS"
       "SYSTEM"
       "GLOBAL")
   (LISP:// "TAG"
            "K-USER"
            "K-FASDUMP"
            "K-COLD"
            "K-SETF"
            "K-KBUG"
            "K-GLOBAL"
            "FASDUMP"
            "COLD"
            "SETF"
            "KBUG"
            "PRIMITIVES"
            "NC"
            "DUMPIT"
            "TELNET"
            "FTP"
            "TCP-APPLICATION"
            "TCP"
            "UDP"
            "ICMP"
            "INTERNET"
            "ARP"
            "NETWORK"
            "ETHERNET"
            "CLI"
            "LISP")))
 (("COND") ((:COND "KEYWORD") (COND "TAG"
                                    "K-DIAG"
                                    "K-USER"
                                    "K-FASDUMP"
                                    "K-SYMBOL"
                                    "K-K2"
                                    "K-KBUG-STREAMS"
                                    "K-COLD"
                                    "K-NUBUS-STUFF"
                                    "K-K-DEBUG"
                                    "K-SETF"
                                    "K-LISP-INTERNALS"
                                    "K-KBUG"
                                    "K-TRAP"
                                    "K-ARRAY"
                                    "K-NEW-MATH"
                                    "K-CONS"
                                    "K-TRANSPORTER-RAM"
                                    "K-BOOT"
                                    "K-MEMORY-MANAGEMENT-INTERFACE"
                                    "K-AREA-DATA"
                                    "K-REGION-DATA"
                                    "K-GC-FAULT"
                                    "K-MAP-FAULT"
                                    "K-REGION-BITS"
                                    "K-MEMORY-MANAGEMENT"
                                    "K-QUANTUM-MAP"
                                    "K-PHYSICAL-CLUSTER-DATA"
                                    "K-VIRTUAL-MEMORY"
                                    "K-PAGING-DEVICES"
                                    "K-DATATYPE-RAM"
                                    "K-GC-RAM"
                                    "K-MAP"
                                    "K-TIMERS"
                                    "K-VINCULUM"
                                    "K-GLOBAL-REGISTERS"
                                    "K-PRIMITIVES"
                                    "K-GLOBAL"
                                    "FASDUMP"
                                    "COLD"
                                    "SETF"
                                    "LISP-INTERNALS"
                                    "KBUG"
                                    "VINCULUM"
                                    "GLOBAL-REGISTERS"
                                    "PRIMITIVES"
                                    "NC"
                                    "DUMPIT"
                                    "NETWORK-USER"
                                    "SDU"
                                    "S-TERMINAL"
                                    "KERMIT"
                                    "TOPS20"
                                    "ANSI"
                                    "TM"
                                    "TFRAME"
                                    "SPELL"
                                    "LAMBDA"
                                    "TELNET"
                                    "FTP"
                                    "TCP-APPLICATION"
                                    "TCP"
                                    "UDP"
                                    "ICMP"
                                    "INTERNET"
                                    "ARP"
                                    "QUOTE"
                                    "CADR"
                                    "UNIX"
                                    "SRCCOM"
                                    "HACKS"
                                    "MATH"
                                    "MICRO-ASSEMBLER"
                                    "ZWEI"
                                    "FORMAT"
                                    "PRESS"
                                    "SUPDUP"
                                    "TIME"
                                    "FED"
                                    "EH"
                                    "TV"
                                    "METER"
                                    "QFASL-REL"
                                    "TAPE"
                                    "FILE-SYSTEM"
                                    "COLOR"
                                    "NETWORK"
                                    "ETHERNET"
                                    "CHAOS"
                                    "GARBAGE-COLLECTOR"
                                    "USER"
                                    "COMPILER"
                                    "SYSTEM-INTERNALS"
                                    "LISP"
                                    "SYSTEM"
                                    "GLOBAL")))
 (("DO") ((DO "TAG"
              "K-DIAG"
              "K-USER"
              "K-FASDUMP"
              "K-SYMBOL"
              "K-K2"
              "K-KBUG-STREAMS"
              "K-COLD"
              "K-NUBUS-STUFF"
              "K-K-DEBUG"
              "K-SETF"
              "K-LISP-INTERNALS"
              "K-KBUG"
              "K-TRAP"
              "K-ARRAY"
              "K-NEW-MATH"
              "K-CONS"
              "K-TRANSPORTER-RAM"
              "K-BOOT"
              "K-MEMORY-MANAGEMENT-INTERFACE"
              "K-AREA-DATA"
              "K-REGION-DATA"
              "K-GC-FAULT"
              "K-MAP-FAULT"
              "K-REGION-BITS"
              "K-MEMORY-MANAGEMENT"
              "K-QUANTUM-MAP"
              "K-PHYSICAL-CLUSTER-DATA"
              "K-VIRTUAL-MEMORY"
              "K-PAGING-DEVICES"
              "K-DATATYPE-RAM"
              "K-GC-RAM"
              "K-MAP"
              "K-TIMERS"
              "K-VINCULUM"
              "K-GLOBAL-REGISTERS"
              "K-PRIMITIVES"
              "K-GLOBAL"
              "FASDUMP"
              "COLD"
              "SETF"
              "LISP-INTERNALS"
              "KBUG"
              "VINCULUM"
              "GLOBAL-REGISTERS"
              "PRIMITIVES"
              "NC"
              "DUMPIT"
              "NETWORK-USER"
              "SDU"
              "S-TERMINAL"
              "KERMIT"
              "TOPS20"
              "ANSI"
              "TM"
              "TFRAME"
              "SPELL"
              "LAMBDA"
              "TELNET"
              "FTP"
              "TCP-APPLICATION"
              "TCP"
              "UDP"
              "ICMP"
              "INTERNET"
              "ARP"
              "QUOTE"
              "CADR"
              "UNIX"
              "SRCCOM"
              "HACKS"
              "MATH"
              "MICRO-ASSEMBLER"
              "ZWEI"
              "FORMAT"
              "PRESS"
              "SUPDUP"
              "TIME"
              "FED"
              "EH"
              "TV"
              "METER"
              "QFASL-REL"
              "TAPE"
              "FILE-SYSTEM"
              "COLOR"
              "NETWORK"
              "ETHERNET"
              "CHAOS"
              "GARBAGE-COLLECTOR"
              "USER"
              "COMPILER"
              "SYSTEM-INTERNALS"
              "LISP"
              "SYSTEM"
              "GLOBAL")
          ))
 (("DEFCONSTANT") ((DEFCONSTANT "TAG"
                                "K-DIAG"
                                "K-USER"
                                "K-FASDUMP"
                                "K-SYMBOL"
                                "K-K2"
                                "K-KBUG-STREAMS"
                                "K-COLD"
                                "K-NUBUS-STUFF"
                                "K-K-DEBUG"
                                "K-SETF"
                                "K-LISP-INTERNALS"
                                "K-KBUG"
                                "K-TRAP"
                                "K-ARRAY"
                                "K-NEW-MATH"
                                "K-CONS"
                                "K-TRANSPORTER-RAM"
                                "K-BOOT"
                                "K-MEMORY-MANAGEMENT-INTERFACE"
                                "K-AREA-DATA"
                                "K-REGION-DATA"
                                "K-GC-FAULT"
                                "K-MAP-FAULT"
                                "K-REGION-BITS"
                                "K-MEMORY-MANAGEMENT"
                                "K-QUANTUM-MAP"
                                "K-PHYSICAL-CLUSTER-DATA"
                                "K-VIRTUAL-MEMORY"
                                "K-PAGING-DEVICES"
                                "K-DATATYPE-RAM"
                                "K-GC-RAM"
                                "K-MAP"
                                "K-TIMERS"
                                "K-VINCULUM"
                                "K-GLOBAL-REGISTERS"
                                "K-HARDWARE"
                                "K-PRIMITIVES"
                                "K-GLOBAL"
                                "FASDUMP"
                                "K2"
                                "COLD"
                                "SETF"
                                "LISP-INTERNALS"
                                "KBUG"
                                "VINCULUM"
                                "GLOBAL-REGISTERS"
                                "HARDWARE"
                                "PRIMITIVES"
                                "NC"
                                "DUMPIT"
                                "NETWORK-USER"
                                "SDU"
                                "S-TERMINAL"
                                "KERMIT"
                                "TOPS20"
                                "ANSI"
                                "TM"
                                "TFRAME"
                                "SPELL"
                                "LAMBDA"
                                "TELNET"
                                "FTP"
                                "TCP-APPLICATION"
                                "TCP"
                                "UDP"
                                "ICMP"
                                "INTERNET"
                                "ARP"
                                "QUOTE"
                                "CADR"
                                "UNIX"
                                "SRCCOM"
                                "HACKS"
                                "MATH"
                                "MICRO-ASSEMBLER"
                                "ZWEI"
                                "FORMAT"
                                "PRESS"
                                "SUPDUP"
                                "TIME"
                                "FED"
                                "EH"
                                "TV"
                                "METER"
                                "QFASL-REL"
                                "TAPE"
                                "FILE-SYSTEM"
                                "COLOR"
                                "NETWORK"
                                "ETHERNET"
                                "CHAOS"
                                "GARBAGE-COLLECTOR"
                                "USER"
                                "COMPILER"
                                "SYSTEM-INTERNALS"
                                "LISP"
                                "SYSTEM"
                                "GLOBAL")
                   ))
 (("QUOTE") ((:QUOTE "KEYWORD") (QUOTE "TAG"
				       "K-DIAG"
				       "K-USER"
				       "K-FASDUMP" 
				       "K-COLD"
				       "K-SETF"
				       "K-KBUG"
				       "K-GLOBAL"
				       "FASDUMP"
				       "K2"
				       "COLD"
				       "SETF"
				       "LISP-INTERNALS"
				       "KBUG" 
				       "VINCULUM"
				       "GLOBAL-REGISTERS"
				       "PRIMITIVES"
				       "NC"
				       "DUMPIT"
				       "NETWORK-USER"
				       "SDU"
				       "S-TERMINAL" 
				       "KERMIT"
				       "TOPS20"
				       "ANSI"
				       "TM"
				       "TFRAME"
				       "SPELL" 
				       "LAMBDA"
				       "TELNET"
				       "FTP"
				       "TCP-APPLICATION"
				       "TCP"
				       "UDP"
				       "ICMP"
				       "INTERNET"
				       "ARP"
				       "QUOTE"
				       "CADR" 
				       "UNIX"
				       "SRCCOM"
				       "HACKS"
				       "MATH" 
				       "MICRO-ASSEMBLER"
				       "ZWEI"
				       "FORMAT"
				       "PRESS" 
				       "SUPDUP"
				       "TIME"
				       "FED"
				       "EH"
				       "TV"
				       "METER" 
				       "QFASL-REL"
				       "TAPE"
				       "FILE-SYSTEM"
				       "COLOR" 
				       "NETWORK"
				       "ETHERNET"
				       "CHAOS" 
				       "GARBAGE-COLLECTOR"
				       "USER"
				       "COMPILER" 
				       "SYSTEM-INTERNALS"
				       "LISP"
				       "SYSTEM"
				       "GLOBAL")))
 (("&OPTIONAL")
  ((K-ARRAY::&OPTIONAL "K-ARRAY") (K-NUBUS-STUFF::&OPTIONAL "K-NUBUS-STUFF")
                                  (K-SYMBOL::&OPTIONAL "K-SYMBOL")
                                  (&OPTIONAL "TAG"
                                             "K-DIAG"
                                             "K-USER"
                                             "K-FASDUMP"
                                             "K-COLD"
                                             "K-SETF"
                                             "K-KBUG"
                                             "K-GLOBAL"
                                             "FASDUMP"
                                             "K2"
                                             "COLD"
                                             "SETF"
                                             "LISP-INTERNALS"
                                             "KBUG"
                                             "VINCULUM"
                                             "GLOBAL-REGISTERS"
                                             "PRIMITIVES"
                                             "NC"
                                             "DUMPIT"
                                             "NETWORK-USER"
                                             "SDU"
                                             "S-TERMINAL"
                                             "KERMIT"
                                             "TOPS20"
                                             "ANSI"
                                             "TM"
                                             "TFRAME"
                                             "SPELL"
                                             "LAMBDA"
                                             "TELNET"
                                             "FTP"
                                             "TCP-APPLICATION"
                                             "TCP"
                                             "UDP"
                                             "ICMP"
                                             "INTERNET"
                                             "ARP"
                                             "QUOTE"
                                             "CADR"
                                             "UNIX"
                                             "SRCCOM"
                                             "HACKS"
                                             "MATH"
                                             "MICRO-ASSEMBLER"
                                             "ZWEI"
                                             "FORMAT"
                                             "PRESS"
                                             "SUPDUP"
                                             "TIME"
                                             "FED"
                                             "EH"
                                             "TV"
                                             "METER"
                                             "QFASL-REL"
                                             "TAPE"
                                             "FILE-SYSTEM"
                                             "COLOR"
                                             "NETWORK"
                                             "ETHERNET"
                                             "CHAOS"
                                             "GARBAGE-COLLECTOR"
                                             "USER"
                                             "COMPILER"
                                             "SYSTEM-INTERNALS"
                                             "LISP"
                                             "SYSTEM"
                                             "GLOBAL")))
 (("DEFVAR" "DEFUN" "&REST") ((&REST "TAG"
                                     "K-DIAG"
                                     "K-USER"
                                     "K-FASDUMP"
                                     "K-SYMBOL"
                                     "K-K2"
                                     "K-KBUG-STREAMS"
                                     "K-COLD"
                                     "K-NUBUS-STUFF"
                                     "K-K-DEBUG"
                                     "K-SETF"
                                     "K-LISP-INTERNALS"
                                     "K-KBUG"
                                     "K-TRAP"
                                     "K-ARRAY"
                                     "K-NEW-MATH"
                                     "K-CONS"
                                     "K-TRANSPORTER-RAM"
                                     "K-BOOT"
                                     "K-MEMORY-MANAGEMENT-INTERFACE"
                                     "K-AREA-DATA"
                                     "K-REGION-DATA"
                                     "K-GC-FAULT"
                                     "K-MAP-FAULT"
                                     "K-REGION-BITS"
                                     "K-MEMORY-MANAGEMENT"
                                     "K-QUANTUM-MAP"
                                     "K-PHYSICAL-CLUSTER-DATA"
                                     "K-VIRTUAL-MEMORY"
                                     "K-PAGING-DEVICES"
                                     "K-DATATYPE-RAM"
                                     "K-GC-RAM"
                                     "K-MAP"
                                     "K-TIMERS"
                                     "K-VINCULUM"
                                     "K-GLOBAL-REGISTERS"
                                     "K-PRIMITIVES"
                                     "K-GLOBAL"
                                     "FASDUMP"
                                     "K2"
                                     "COLD"
                                     "SETF"
                                     "LISP-INTERNALS"
                                     "KBUG"
                                     "VINCULUM"
                                     "GLOBAL-REGISTERS"
                                     "PRIMITIVES"
                                     "NC"
                                     "DUMPIT"
                                     "NETWORK-USER"
                                     "SDU"
                                     "S-TERMINAL"
                                     "KERMIT"
                                     "TOPS20"
                                     "ANSI"
                                     "TM"
                                     "TFRAME"
                                     "SPELL"
                                     "LAMBDA"
                                     "TELNET"
                                     "FTP"
                                     "TCP-APPLICATION"
                                     "TCP"
                                     "UDP"
                                     "ICMP"
                                     "INTERNET"
                                     "ARP"
                                     "QUOTE"
                                     "CADR"
                                     "UNIX"
                                     "SRCCOM"
                                     "HACKS"
                                     "MATH"
                                     "MICRO-ASSEMBLER"
                                     "ZWEI"
                                     "FORMAT"
                                     "PRESS"
                                     "SUPDUP"
                                     "TIME"
                                     "FED"
                                     "EH"
                                     "TV"
                                     "METER"
                                     "QFASL-REL"
                                     "TAPE"
                                     "FILE-SYSTEM"
                                     "COLOR"
                                     "NETWORK"
                                     "ETHERNET"
                                     "CHAOS"
                                     "GARBAGE-COLLECTOR"
                                     "USER"
                                     "COMPILER"
                                     "SYSTEM-INTERNALS"
                                     "LISP"
                                     "SYSTEM"
                                     "GLOBAL")
                              ))
 (("&AUX") ((K-NUBUS-STUFF::&AUX "K-NUBUS-STUFF") (&AUX "TAG"
                                                        "K-DIAG"
                                                        "K-USER"
                                                        "K-FASDUMP"
                                                        "K-COLD"
                                                        "K-SETF"
                                                        "K-KBUG"
                                                        "K-GLOBAL"
                                                        "FASDUMP"
                                                        "K2"
                                                        "COLD"
                                                        "SETF"
                                                        "LISP-INTERNALS"
                                                        "KBUG"
                                                        "VINCULUM"
                                                        "GLOBAL-REGISTERS"
                                                        "PRIMITIVES"
                                                        "NC"
                                                        "DUMPIT"
                                                        "NETWORK-USER"
                                                        "SDU"
                                                        "S-TERMINAL"
                                                        "KERMIT"
                                                        "TOPS20"
                                                        "ANSI"
                                                        "TM"
                                                        "TFRAME"
                                                        "SPELL"
                                                        "LAMBDA"
                                                        "TELNET"
                                                        "FTP"
                                                        "TCP-APPLICATION"
                                                        "TCP"
                                                        "UDP"
                                                        "ICMP"
                                                        "INTERNET"
                                                        "ARP"
                                                        "QUOTE"
                                                        "CADR"
                                                        "UNIX"
                                                        "SRCCOM"
                                                        "HACKS"
                                                        "MATH"
                                                        "MICRO-ASSEMBLER"
                                                        "ZWEI"
                                                        "FORMAT"
                                                        "PRESS"
                                                        "SUPDUP"
                                                        "TIME"
                                                        "FED"
                                                        "EH"
                                                        "TV"
                                                        "METER"
                                                        "QFASL-REL"
                                                        "TAPE"
                                                        "FILE-SYSTEM"
                                                        "COLOR"
                                                        "NETWORK"
                                                        "ETHERNET"
                                                        "CHAOS"
                                                        "GARBAGE-COLLECTOR"
                                                        "USER"
                                                        "COMPILER"
                                                        "SYSTEM-INTERNALS"
                                                        "LISP"
                                                        "SYSTEM"
                                                        "GLOBAL")))
 (("THROW" "CATCH" "&BODY" "&KEY") ((&KEY "TAG"
                                          "K-DIAG"
                                          "K-USER"
                                          "K-FASDUMP"
                                          "K-COLD"
                                          "K-SETF"
                                          "K-KBUG"
                                          "K-GLOBAL"
                                          "FASDUMP"
                                          "K2"
                                          "COLD"
                                          "SETF"
                                          "LISP-INTERNALS"
                                          "KBUG"
                                          "VINCULUM"
                                          "GLOBAL-REGISTERS"
                                          "PRIMITIVES"
                                          "NC"
                                          "DUMPIT"
                                          "NETWORK-USER"
                                          "SDU"
                                          "S-TERMINAL"
                                          "KERMIT"
                                          "TOPS20"
                                          "ANSI"
                                          "TM"
                                          "TFRAME"
                                          "SPELL"
                                          "LAMBDA"
                                          "TELNET"
                                          "FTP"
                                          "TCP-APPLICATION"
                                          "TCP"
                                          "UDP"
                                          "ICMP"
                                          "INTERNET"
                                          "ARP"
                                          "QUOTE"
                                          "CADR"
                                          "UNIX"
                                          "SRCCOM"
                                          "HACKS"
                                          "MATH"
                                          "MICRO-ASSEMBLER"
                                          "ZWEI"
                                          "FORMAT"
                                          "PRESS"
                                          "SUPDUP"
                                          "TIME"
                                          "FED"
                                          "EH"
                                          "TV"
                                          "METER"
                                          "QFASL-REL"
                                          "TAPE"
                                          "FILE-SYSTEM"
                                          "COLOR"
                                          "NETWORK"
                                          "ETHERNET"
                                          "CHAOS"
                                          "GARBAGE-COLLECTOR"
                                          "USER"
                                          "COMPILER"
                                          "SYSTEM-INTERNALS"
                                          "LISP"
                                          "SYSTEM"
                                          "GLOBAL")
                                    ))
 (("-" "+" "VALUES" "IMPORT" "EXPORT" "LAMBDA" "FUNCTION" "PROGN" "T")
  ((:T "KEYWORD") (T "TAG"
                     "K-DIAG"
                     "K-USER"
                     "K-FASDUMP"
                     "K-SYMBOL"
                     "K-K2"
                     "K-KBUG-STREAMS"
                     "K-COLD"
                     "K-NUBUS-STUFF"
                     "K-K-DEBUG"
                     "K-SETF"
                     "K-LISP-INTERNALS"
                     "K-KBUG"
                     "K-TRAP"
                     "K-ARRAY"
                     "K-NEW-MATH"
                     "K-CONS"
                     "K-TRANSPORTER-RAM"
                     "K-BOOT"
                     "K-MEMORY-MANAGEMENT-INTERFACE"
                     "K-AREA-DATA"
                     "K-REGION-DATA"
                     "K-GC-FAULT"
                     "K-MAP-FAULT"
                     "K-REGION-BITS"
                     "K-MEMORY-MANAGEMENT"
                     "K-QUANTUM-MAP"
                     "K-PHYSICAL-CLUSTER-DATA"
                     "K-VIRTUAL-MEMORY"
                     "K-PAGING-DEVICES"
                     "K-DATATYPE-RAM"
                     "K-GC-RAM"
                     "K-MAP"
                     "K-TIMERS"
                     "K-VINCULUM"
                     "K-GLOBAL-REGISTERS"
                     "K-PRIMITIVES"
                     "K-GLOBAL"
                     "FASDUMP"
                     "K2"
                     "COLD"
                     "SETF"
                     "LISP-INTERNALS"
                     "KBUG"
                     "VINCULUM"
                     "GLOBAL-REGISTERS"
                     "PRIMITIVES"
                     "NC"
                     "DUMPIT"
                     "NETWORK-USER"
                     "SDU"
                     "S-TERMINAL"
                     "KERMIT"
                     "TOPS20"
                     "ANSI"
                     "TM"
                     "TFRAME"
                     "SPELL"
                     "LAMBDA"
                     "TELNET"
                     "FTP"
                     "TCP-APPLICATION"
                     "TCP"
                     "UDP"
                     "ICMP"
                     "INTERNET"
                     "ARP"
                     "QUOTE"
                     "CADR"
                     "UNIX"
                     "SRCCOM"
                     "HACKS"
                     "MATH"
                     "MICRO-ASSEMBLER"
                     "ZWEI"
                     "FORMAT"
                     "PRESS"
                     "SUPDUP"
                     "TIME"
                     "FED"
                     "EH"
                     "TV"
                     "METER"
                     "QFASL-REL"
                     "TAPE"
                     "FILE-SYSTEM"
                     "COLOR"
                     "NETWORK"
                     "ETHERNET"
                     "CHAOS"
                     "GARBAGE-COLLECTOR"
                     "USER"
                     "COMPILER"
                     "SYSTEM-INTERNALS"
                     "LISP"
                     "SYSTEM"
                     "GLOBAL")))
 (("NIL") ((:NIL "KEYWORD")))))